﻿using System;
using System.Collections.ObjectModel;
using System.Linq;
using Telerik.Windows.Controls;

namespace TreeView_WPF_ItemsInEditMode
{
	public class DataItem : ViewModelBase
	{
		private bool isInEditMode;
		private string header;
		private ObservableCollection<DataItem> children;

		public DataItem()
		{
			this.children = new ObservableCollection<DataItem>();
		}

		public bool IsInEditMode
		{
			get
			{
				return this.isInEditMode;
			}
			internal set
			{
				if (this.isInEditMode != value)
				{
					this.isInEditMode = value;
					this.OnPropertyChanged("IsInEditMode");
				}
			}
		}
        
		public string Header
		{
			get
			{
				return this.header;
			}
			internal set
			{
				if (this.header != value)
				{
					this.header = value;
					this.OnPropertyChanged("Header");
				}
			}
		}
        
		public ObservableCollection<DataItem> Children
		{
			get
			{
				return this.children;
			}
			internal set
			{
				if (this.children != value)
				{
					this.children = value;
					this.OnPropertyChanged("Children");
				}
			}
		}
	}
}